Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetBSEType

Gets the method used for BSE structured eigenproblems in the Krylov-Schur solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetBSEType(EPS eps,EPSKrylovSchurBSEType *bse)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- bse - the BSE method

## See Also

EPS: Eigenvalue Problem Solver, Structured Eigenvalue Problems, `EPS_BSE`, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetBSEType()`, `EPSKrylovSchurBSEType`, `MatCreateBSE()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetBSEType_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages